[Pkg-cyrus-sasl2-commits] r13 - in /cyrus-sasl-2.1/trunk/debian: control cyrus-sasl-2.1-bin.saslauthd.default cyrus-sasl-2.1-bin.saslauthd.init rules

fabbe at users.alioth.debian.org fabbe at users.alioth.debian.org
Fri Oct 20 06:56:18 UTC 2006


Author: fabbe
Date: Sat Jun 10 13:46:44 2006
New Revision: 13

URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/?sc=1&rev=13
Log:
Introduce an LSB-compatible init script to start saslauthd, and clean up debian/rules a little bit, too.

Added:
    cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.default
    cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.init
Modified:
    cyrus-sasl-2.1/trunk/debian/control
    cyrus-sasl-2.1/trunk/debian/rules

Modified: cyrus-sasl-2.1/trunk/debian/control
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/debian/control?rev=13&op=diff
==============================================================================
--- cyrus-sasl-2.1/trunk/debian/control (original)
+++ cyrus-sasl-2.1/trunk/debian/control Sat Jun 10 13:46:44 2006
@@ -4,7 +4,7 @@
 Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel at lists.alioth.debian.org>
 Uploaders: Fabian Fagerholm <fabbe at debian.org>
 Standards-Version: 3.6.2
-Build-Depends: debhelper (>= 5.0.0), dpatch, autotools-dev, libdb4.2-dev (>= 4.2.52), libpam0g-dev (>= 0.76-22), libssl-dev (>= 0.9.7e-3), libmysqlclient15-dev (>= 5.0.20-1), libopie-dev (>= 2.32-10), libpq-dev (>= 8.1.3-4), libsqlite0-dev (>= 2.8.16-1), libldap2-dev (>= 2.1.30-8), heimdal-dev (>= 0.6.3-10)
+Build-Depends: debhelper (>= 5.0.0), dpatch, autotools-dev, libdb4.2-dev (>= 4.2.52), libpam0g-dev (>= 0.76-22), libssl-dev (>= 0.9.7e-3), libmysqlclient15-dev (>= 5.0.20-1), libopie-dev (>= 2.32-10), libpq-dev (>= 8.1.3-4), libsqlite0-dev (>= 2.8.16-1), libldap2-dev (>= 2.1.30-8), heimdal-dev (>= 0.6.3-10), lsb-base (>= 3.0-6)
 
 Package: cyrus-sasl-2.1-bin
 Section: utils

Added: cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.default
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.default?rev=13&op=file
==============================================================================
--- cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.default (added)
+++ cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.default Sat Jun 10 13:46:44 2006
@@ -1,0 +1,35 @@
+#
+# Settings for saslauthd daemon
+#
+
+# Should saslauthd run automatically on startup? (default: no)
+START=no
+
+# Which authentication mechanisms should saslauthd use? (default: pam)
+#
+# Available options in this Debian package:
+# getpwent  -- use the getpwent() library function
+# kerberos5 -- use Kerberos 5
+# pam       -- use PAM
+# rimap     -- use a remote IMAP server
+# shadow    -- use the local shadow password file
+# sasldb    -- use the local sasldb database file
+# ldap      -- use LDAP (configuration is in /etc/saslauthd.conf)
+#
+# Multiple options may be specified in a space-separated list. See the
+# saslauthd man page for more information.
+#
+# Example: MECHANISMS="pam shadow"
+MECHANISMS="pam"
+
+# Additional options for this mechanism. (default: none)
+# See the saslauthd man page for information about mech-specific options.
+MECH_OPTIONS=""
+
+# How many saslauthd processes should we run? (default: 5)
+# A value of 0 will fork a new process for each connection.
+THREADS=5
+
+# Other options (default: -T -c)
+# See the saslauthd man page for information about these options.
+OPTIONS="-T -c"

Added: cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.init
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.init?rev=13&op=file
==============================================================================
--- cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.init (added)
+++ cyrus-sasl-2.1/trunk/debian/cyrus-sasl-2.1-bin.saslauthd.init Sat Jun 10 13:46:44 2006
@@ -1,0 +1,190 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          saslauthd
+# Required-Start:    $local_fs $remote_fs
+# Required-Stop:     $local_fs $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      S 0 1 6
+# Short-Description: saslauthd startup script
+# Description:       This script starts the saslauthd daemon. It is
+#                    configured using the file /etc/default/saslauthd.
+### END INIT INFO
+
+# Author: Fabian Fagerholm <fabbe at debian.org>
+#
+# Based on previous work by Dima Barsky.
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
+DESC="SASL Authentication Daemon"
+NAME=saslauthd
+DAEMON=/usr/sbin/$NAME
+DAEMON_ARGS=""
+RUN_DIR=/var/run/$NAME
+PIDFILE=$RUN_DIR/saslauthd.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+# If the daemon is not enabled, simply exit
+[ "$START" != "yes" ] && exit 0
+
+# If no mechanisms are defined, log this and exit
+if [ -z $MECHANISMS ]; then
+	log_failure_msg "No mechanisms defined in /etc/default/$NAME," \
+			"not starting $NAME."
+	exit 0
+fi
+
+# Construct argument string
+DAEMON_ARGS="$DAEMON_ARGS -a $MECHANISMS $OPTIONS -O $MECH_OPTIONS -n $THREADS"
+
+#
+# Function that creates a directory with the specified
+# ownership and permissions
+#
+createdir()
+{
+# $1 = user
+# $2 = group
+# $3 = permissions (octal)
+# $4 = path to directory
+	# In the future, use -P/-Z to have SE Linux enhancement.
+	install -d --group="$2" --mode="$3" --owner="$1" "$4"
+}
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+
+	dir=`dpkg-statoverride --list $RUN_DIR`
+	test -z "$dir" || createdir $dir
+
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --name $NAME \
+		--exec $DAEMON --test > /dev/null \
+		|| return 1
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --name $NAME \
+		--exec $DAEMON -- $DAEMON_ARGS \
+		|| return 2
+	# Add code here, if necessary, that waits for the process to be ready
+	# to handle requests from services started subsequently which depend
+	# on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	# Return
+	#   0 if daemon has been stopped
+	#   1 if daemon was already stopped
+	#   2 if daemon could not be stopped
+	#   other if a failure occurred
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 \
+		--pidfile $PIDFILE --name $NAME
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+	# Wait for children to finish too if this is a daemon that forks
+	# and if the daemon is only ever run from this initscript.
+	# If the above conditions are not satisfied then add some other code
+	# that waits for the process to drop all resources that could be
+	# needed by services started subsequently.  A last resort is to
+	# sleep for some time.
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 \
+		--exec $DAEMON
+	[ "$?" = 2 ] && return 2
+	# Many daemons don't delete their pidfiles when they exit.
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+	#
+	# If the daemon can reload its configuration without
+	# restarting (for example, when it is sent a SIGHUP),
+	# then implement that here.
+	#
+	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE \
+		--name $NAME
+	return 0
+}
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  #reload|force-reload)
+	#
+	# If do_reload() is not implemented then leave this commented out
+	# and leave 'force-reload' as an alias for 'restart'.
+	#
+	#log_daemon_msg "Reloading $DESC" "$NAME"
+	#do_reload
+	#log_end_msg $?
+	#;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:

Modified: cyrus-sasl-2.1/trunk/debian/rules
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/debian/rules?rev=13&op=diff
==============================================================================
--- cyrus-sasl-2.1/trunk/debian/rules (original)
+++ cyrus-sasl-2.1/trunk/debian/rules Sat Jun 10 13:46:44 2006
@@ -154,88 +154,60 @@
 	touch build-indep-stamp
 
 ###
-# Install the built, architecture-dependent files in their
-# corresponding package directory.
-###
-install-arch: build-arch
+# Install the built files in their corresponding package directories.
+###
+install: build-arch build-indep
 	dh_testdir
 	dh_testroot
 	dh_clean -k 
-	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(TMPPKG)
 
-	# Phase 1: alter the default location and names of files
-	# to fit Debian policy and better integrate with the Debian system.
-	
+	# Alter the default location and names of files to fit Debian
+	# policy and better integrate with the Debian system.
 	mv $(TMPPKG)/usr/sbin/pluginviewer $(TMPPKG)/usr/sbin/saslpluginviewer
 	mv $(TMPPKG)/usr/share/man/man8/pluginviewer.8 \
 		$(TMPPKG)/usr/share/man/man8/saslpluginviewer.8
-
-	# Phase 2: actually install the files into
-	# their corresponding package.
-	ls -laR # TODO: remove (debug)
-	
-	dh_install --autodest --list-missing --sourcedir=$(TMPPKG)
-
-	ls -laR # TODO: remove (debug)
-
-###
-# Install the built, architecture-independent files in their
-# corresponding package directory.
-###
-install-indep: build-indep
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	dh_installdirs
-
-	# Add there commands to install the package into debian/tmp
-	# foo
-	# TODO: unfinished!
-
-###
-# Install the built files
-###
-install: build install-arch install-indep
+	install -c -m 644 saslauthd/saslauthd.mdoc \
+		$(TMPPKG)/usr/share/man/man8/saslauthd.8
 
 ###
 # Build architecture-dependent files.
 ###
-binary-arch: build-arch install-arch
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
+	dh_installdirs
+
+	ls -laR # TODO: remove (debug)
+	
+	dh_install --autodest --list-missing --sourcedir=$(TMPPKG)
+	dh_installinit --name=saslauthd
+	
+	ls -laR # TODO: remove (debug)
+
 #	dh_installlogrotate
-#	dh_installemacsen
 #	dh_installpam
-#	dh_installmime
-#	dh_installinit
 #	dh_installcron
-#	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_python
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb	
 
 ###
 # Build architecture-independent files.
 ###
-binary-indep: build-indep install-indep
+binary-indep: build-indep install
 	# Make the documentation package
 	# TODO: unfinished
 
@@ -243,5 +215,5 @@
 # Assemble the binary packages.
 ###
 binary: binary-indep binary-arch
-.PHONY: clean clean-patched build-arch build-indep build install-arch install-indep install binary-arch binary-indep binary
-
+.PHONY: clean clean-patched build-arch build-indep build install binary-arch binary-indep binary
+




More information about the Pkg-cyrus-sasl2-commits mailing list